PipeLineManager
Keywords: com.artenum.cassandra.pipeline.PipeLineManager interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.cassandra.pipeline
Interface PipeLineManager

    public interface PipeLineManager

     Project ref           : CASSANDRA project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  : Core part of Cassandra which take care of the VTK components
                    that will be shown in the Pipeline editor.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Method Summary
`VtkObject` | `addActor(java.lang.Object actor, java.lang.String name)`
`void` | `addConnectivityListener(ConnectivityListener l)`
`VtkObject` | `addDataSet(java.lang.Object dataset, java.lang.String name)`
`VtkObject` | `addFilter(Filter filter, java.lang.String name)`
`VtkObject` | `addLookupTable(vtk.vtkLookupTable lookupTable, java.lang.String name)`
`VtkObject` | `addMapper(java.lang.Object mapper, java.lang.String name)`
`VtkObject` | `addScalarBar(vtk.vtkScalarBarActor scalarBar, java.lang.String name)`
`VtkObject` | `addTxtActor(vtk.vtkTextActor txtActor, java.lang.String name)`
`void` | `addVtkFile(java.io.File vtkFile)`
`void` | `deepValidateView()`
`VtkObjectListModel` | `getActorList()`
`com.artenum.cassandra.vtk.CassandraView` | `getCassandraView()`
`VtkObjectListModel` | `getDataSetList()`
`VtkObjectListModel` | `getFilterList()`
`VtkObjectListModel` | `getLookupTableList()`
`VtkObjectListModel` | `getMapperList()`
`VtkObjectListModel` | `getScalarBarList()`
`VtkObjectListModel` | `getTextActorList()`
`VtkObject` | `getVtkObject(java.lang.Integer vtkObjectId)`
`void` | `notifyConnectivityChange(VtkObject obj)`
`void` | `removeConnectivityListener(ConnectivityListener l)`
`void` | `removeVtkObject(java.lang.Integer vtkObjectId)`
`void` | `removeVtkObject(VtkObject vtkObject)`
`void` | `setActorVisible(java.lang.Integer vtkObjectId, boolean viewActor)`
`void` | `setActorVisible(VtkObject vtkObjectActor, boolean viewActor)`
`void` | `setAxisVisible(boolean viewAxis)`
`void` | `validateViewAndGo()`
`void` | `validateViewAndWait()`

Method Detail

### addVtkFile

    void addVtkFile(java.io.File vtkFile)

### setActorVisible

    void setActorVisible(java.lang.Integer vtkObjectId,
                         boolean viewActor)

### setActorVisible

    void setActorVisible(VtkObject vtkObjectActor,
                         boolean viewActor)

### getVtkObject

    VtkObject getVtkObject(java.lang.Integer vtkObjectId)

### getActorList

    VtkObjectListModel getActorList()

### getMapperList

    VtkObjectListModel getMapperList()

### getDataSetList

    VtkObjectListModel getDataSetList()

### getFilterList

    VtkObjectListModel getFilterList()

### getLookupTableList

    VtkObjectListModel getLookupTableList()

### getScalarBarList

    VtkObjectListModel getScalarBarList()

### getTextActorList

    VtkObjectListModel getTextActorList()

### addActor

    VtkObject addActor(java.lang.Object actor,
                       java.lang.String name)

### addMapper

    VtkObject addMapper(java.lang.Object mapper,
                        java.lang.String name)

### addDataSet

    VtkObject addDataSet(java.lang.Object dataset,
                         java.lang.String name)

### addFilter

    VtkObject addFilter(Filter filter,
                        java.lang.String name)

### addScalarBar

    VtkObject addScalarBar(vtk.vtkScalarBarActor scalarBar,
                           java.lang.String name)

### addLookupTable

    VtkObject addLookupTable(vtk.vtkLookupTable lookupTable,
                             java.lang.String name)

### addTxtActor

    VtkObject addTxtActor(vtk.vtkTextActor txtActor,
                          java.lang.String name)

### removeVtkObject

    void removeVtkObject(java.lang.Integer vtkObjectId)

### removeVtkObject

    void removeVtkObject(VtkObject vtkObject)

### getCassandraView

    com.artenum.cassandra.vtk.CassandraView getCassandraView()

### setAxisVisible

    void setAxisVisible(boolean viewAxis)

### validateViewAndGo

    void validateViewAndGo()

### validateViewAndWait

    void validateViewAndWait()

### deepValidateView

    void deepValidateView()

### notifyConnectivityChange

    void notifyConnectivityChange(VtkObject obj)

### addConnectivityListener

    void addConnectivityListener(ConnectivityListener l)

### removeConnectivityListener

    void removeConnectivityListener(ConnectivityListener l)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com